libvpx now has an (L)GPL-compatible license.
authorDiego Biurrun <diego@biurrun.de>
Sat, 5 Jun 2010 08:01:47 +0000 (08:01 +0000)
committerDiego Biurrun <diego@biurrun.de>
Sat, 5 Jun 2010 08:01:47 +0000 (08:01 +0000)
Originally committed as revision 23482 to svn://svn.ffmpeg.org/ffmpeg/trunk

LICENSE
configure

diff --git a/LICENSE b/LICENSE
index aadd464..6aafde8 100644 (file)
--- a/LICENSE
+++ b/LICENSE
@@ -46,7 +46,3 @@ version needs to be upgraded by passing --enable-version3 to configure.
 The nonfree external library libfaac can be hooked up in FFmpeg. You need to
 pass --enable-nonfree to configure to enable it. Employ this option with care
 as FFmpeg then becomes nonfree and unredistributable.
 The nonfree external library libfaac can be hooked up in FFmpeg. You need to
 pass --enable-nonfree to configure to enable it. Employ this option with care
 as FFmpeg then becomes nonfree and unredistributable.
-
-The libvpx external library has a license that is (L)GPL incompatible. If you
-combine it with FFmpeg the resulting binaries are unredistributable. Thus you
-need to pass --enable-nonfree to configure to enable it.
index 2949d30..9b383fd 100755 (executable)
--- a/configure
+++ b/configure
@@ -2343,7 +2343,6 @@ die_license_disabled gpl postproc
 die_license_disabled gpl x11grab
 
 die_license_disabled nonfree libfaac
 die_license_disabled gpl x11grab
 
 die_license_disabled nonfree libfaac
-die_license_disabled nonfree libvpx
 
 die_license_disabled version3 libopencore_amrnb
 die_license_disabled version3 libopencore_amrwb
 
 die_license_disabled version3 libopencore_amrnb
 die_license_disabled version3 libopencore_amrwb